/* Trab1: Mudana da resoluo 
 *
 * Curso: Computao Grfica - 2000
 * Ultima alterao: 06mar2000
 */

#include <stdio.h>
#include "image.h"

void main(void){
  unsigned char red, green, blue, grey;
  int x,y;
  Image *img;

  if ((img=imgReadPPM("leao.ppm"))== NULL) return;

  for (y = 0; y < imgGetHeight(img); y++)  {
    for (x = 0; x < imgGetWidth(img); x++)    {
      red   = imgGetPixelRed(img, x, y);
      green = imgGetPixelGreen(img, x, y);
      blue  = imgGetPixelBlue(img, x, y);

      grey = (unsigned char) (0.3*red+0.6*green+0.1*blue);

      imgSetPixel(img, x, y, grey, grey, grey);
    }
  }  
  
  imgWritePPM(img,"leao.ppm");

  imgDestroy(img);
}
